Subject: Re: RFR: New e1000 driver (e1000new), was: Re: e1000: backport ich9 support from 7.5.5 ?

From: James Chapman <[email-masked]>
Date: Sun, 08 Jul 2007 19:41:30 +0100

James Chapman wrote:
> I envisage something like this:-
> 
> e1000_core.c    - common code used by all drivers of the e1000 family.
>           Exports functions used by actual drivers. Loadable
>           as a separate module when built as a module.
> e1000_82541.c    - driver for 82541
> e1000_82542.c    - driver for 82542
> e1000_xxxxx.c    - driver for xxxxx

Please ignore the statement I made above. Having read the code and chip 
docs again, I realize I jumped to the wrong conclusions when I saw 
separate source files for each of the 7 chip variants in the new driver.

Just wanted to nip it in the bud before it causes any wasted time 
discussing it. :)

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development